DROP TABLE CRST_HZ_PARTIES;

CREATE TABLE CRST_HZ_PARTIES
(
  PARTY_ID                    NUMBER(15)        NOT NULL,
  PARTY_NUMBER                VARCHAR2(30 BYTE) NOT NULL,
  PARTY_NAME                  VARCHAR2(360 BYTE) NOT NULL,
  PARTY_TYPE                  VARCHAR2(30 BYTE) NOT NULL,
  VALIDATED_FLAG              VARCHAR2(1 BYTE),
  LAST_UPDATED_BY             NUMBER(15)        NOT NULL,
  CREATION_DATE               DATE              NOT NULL,
  LAST_UPDATE_LOGIN           NUMBER(15),
  REQUEST_ID                  NUMBER(15),
  PROGRAM_APPLICATION_ID      NUMBER(15),
  CREATED_BY                  NUMBER(15)        NOT NULL,
  LAST_UPDATE_DATE            DATE              NOT NULL,
  PROGRAM_ID                  NUMBER(15),
  PROGRAM_UPDATE_DATE         DATE,
  WH_UPDATE_DATE              DATE,
  ATTRIBUTE_CATEGORY          VARCHAR2(30 BYTE),
  ATTRIBUTE1                  VARCHAR2(150 BYTE),
  ATTRIBUTE2                  VARCHAR2(150 BYTE),
  ATTRIBUTE3                  VARCHAR2(150 BYTE),
  ATTRIBUTE4                  VARCHAR2(150 BYTE),
  ATTRIBUTE5                  VARCHAR2(150 BYTE),
  ATTRIBUTE6                  VARCHAR2(150 BYTE),
  ATTRIBUTE7                  VARCHAR2(150 BYTE),
  ATTRIBUTE8                  VARCHAR2(150 BYTE),
  ATTRIBUTE9                  VARCHAR2(150 BYTE),
  ATTRIBUTE10                 VARCHAR2(150 BYTE),
  ATTRIBUTE11                 VARCHAR2(150 BYTE),
  ATTRIBUTE12                 VARCHAR2(150 BYTE),
  ATTRIBUTE13                 VARCHAR2(150 BYTE),
  ATTRIBUTE14                 VARCHAR2(150 BYTE),
  ATTRIBUTE15                 VARCHAR2(150 BYTE),
  ATTRIBUTE16                 VARCHAR2(150 BYTE),
  ATTRIBUTE17                 VARCHAR2(150 BYTE),
  ATTRIBUTE18                 VARCHAR2(150 BYTE),
  ATTRIBUTE19                 VARCHAR2(150 BYTE),
  ATTRIBUTE20                 VARCHAR2(150 BYTE),
  ATTRIBUTE21                 VARCHAR2(150 BYTE),
  ATTRIBUTE22                 VARCHAR2(150 BYTE),
  ATTRIBUTE23                 VARCHAR2(150 BYTE),
  ATTRIBUTE24                 VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY   VARCHAR2(30 BYTE),
  GLOBAL_ATTRIBUTE1           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20          VARCHAR2(150 BYTE),
  ORIG_SYSTEM_REFERENCE       VARCHAR2(240 BYTE) NOT NULL,
  SIC_CODE                    VARCHAR2(30 BYTE),
  HQ_BRANCH_IND               VARCHAR2(30 BYTE),
  CUSTOMER_KEY                VARCHAR2(500 BYTE),
  TAX_REFERENCE               VARCHAR2(50 BYTE),
  JGZZ_FISCAL_CODE            VARCHAR2(20 BYTE),
  DUNS_NUMBER                 NUMBER,
  TAX_NAME                    VARCHAR2(60 BYTE),
  PERSON_PRE_NAME_ADJUNCT     VARCHAR2(30 BYTE),
  PERSON_FIRST_NAME           VARCHAR2(150 BYTE),
  PERSON_MIDDLE_NAME          VARCHAR2(60 BYTE),
  PERSON_LAST_NAME            VARCHAR2(150 BYTE),
  PERSON_NAME_SUFFIX          VARCHAR2(30 BYTE),
  PERSON_TITLE                VARCHAR2(60 BYTE),
  PERSON_ACADEMIC_TITLE       VARCHAR2(30 BYTE),
  PERSON_PREVIOUS_LAST_NAME   VARCHAR2(150 BYTE),
  KNOWN_AS                    VARCHAR2(240 BYTE),
  PERSON_IDEN_TYPE            VARCHAR2(30 BYTE),
  PERSON_IDENTIFIER           VARCHAR2(60 BYTE),
  GROUP_TYPE                  VARCHAR2(30 BYTE),
  COUNTRY                     VARCHAR2(60 BYTE),
  ADDRESS1                    VARCHAR2(240 BYTE),
  ADDRESS2                    VARCHAR2(240 BYTE),
  ADDRESS3                    VARCHAR2(240 BYTE),
  ADDRESS4                    VARCHAR2(240 BYTE),
  CITY                        VARCHAR2(60 BYTE),
  POSTAL_CODE                 VARCHAR2(60 BYTE),
  STATE                       VARCHAR2(60 BYTE),
  PROVINCE                    VARCHAR2(60 BYTE),
  STATUS                      VARCHAR2(1 BYTE)  NOT NULL,
  COUNTY                      VARCHAR2(60 BYTE),
  SIC_CODE_TYPE               VARCHAR2(30 BYTE),
  TOTAL_NUM_OF_ORDERS         NUMBER,
  TOTAL_ORDERED_AMOUNT        NUMBER,
  LAST_ORDERED_DATE           DATE,
  URL                         VARCHAR2(2000 BYTE),
  EMAIL_ADDRESS               VARCHAR2(2000 BYTE),
  DO_NOT_MAIL_FLAG            VARCHAR2(1 BYTE),
  ANALYSIS_FY                 VARCHAR2(5 BYTE),
  FISCAL_YEAREND_MONTH        VARCHAR2(30 BYTE),
  EMPLOYEES_TOTAL             NUMBER,
  CURR_FY_POTENTIAL_REVENUE   NUMBER,
  NEXT_FY_POTENTIAL_REVENUE   NUMBER,
  YEAR_ESTABLISHED            NUMBER(4),
  GSA_INDICATOR_FLAG          VARCHAR2(1 BYTE),
  MISSION_STATEMENT           VARCHAR2(2000 BYTE),
  ORGANIZATION_NAME_PHONETIC  VARCHAR2(320 BYTE),
  PERSON_FIRST_NAME_PHONETIC  VARCHAR2(60 BYTE),
  PERSON_LAST_NAME_PHONETIC   VARCHAR2(60 BYTE),
  LANGUAGE_NAME               VARCHAR2(4 BYTE),
  CATEGORY_CODE               VARCHAR2(30 BYTE),
  REFERENCE_USE_FLAG          VARCHAR2(1 BYTE),
  THIRD_PARTY_FLAG            VARCHAR2(1 BYTE),
  COMPETITOR_FLAG             VARCHAR2(1 BYTE),
  SALUTATION                  VARCHAR2(60 BYTE),
  KNOWN_AS2                   VARCHAR2(240 BYTE),
  KNOWN_AS3                   VARCHAR2(240 BYTE),
  KNOWN_AS4                   VARCHAR2(240 BYTE),
  KNOWN_AS5                   VARCHAR2(240 BYTE),
  DUNS_NUMBER_C               VARCHAR2(30 BYTE),
  OBJECT_VERSION_NUMBER       NUMBER,
  CREATED_BY_MODULE           VARCHAR2(150 BYTE),
  APPLICATION_ID              NUMBER,
  PARTY_ID_N                  NUMBER(15),
  PARTY_NUMBER_N              VARCHAR2(30 BYTE)
);
